Bug 179127 - [PATCH] allow for multiple initramfs images with grub
[PATCH] allow for multiple initramfs images with grub
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 11:11 EST by Jeff Layton
Modified: 2014-06-18 03:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: grub-0_97-37_fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-11 08:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch adds 3 new functions to char_io.c (1.96 KB, patch)
2006-01-27 11:13 EST, Jeff Layton
no flags Details | Diff
patch to allow passing multiple image files to the initrd grub command (1.17 KB, patch)
2006-01-27 11:16 EST, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2006-01-27 11:11:38 EST
The 2.6 kernel series allows you to pass it multiple initramfs images at boot
time. Basically the idea is that they should be concatenated in memory.

This patch adds a few new functions to char_io.c (strspn, strcspn, and
strtok_r), and changes the load_initrd function so that the initrd command can
take multiple images. They will each be loaded into RAM in the order specified.
Comment 1 Jeff Layton 2006-01-27 11:13:40 EST
Created attachment 123781 [details]
this patch adds 3 new functions to char_io.c

This adds strspn, strcspn, and strtok_r to char_io.c. This is to support the
parsing of multiple options on the initrd commandline.

These were "borrowed" from dietlibc with some small changes.
Comment 2 Jeff Layton 2006-01-27 11:16:02 EST
Created attachment 123782 [details]
patch to allow passing multiple image files to the initrd grub command

This patch allows you to pass multiple image files to the kernel by adding more
than one filename to the initrd parameter. i.e.:

initrd /initramfs-image1.gz /initramfs-image2.gz
Comment 3 John Poelstra 2008-07-09 00:58:32 EDT
patches present
Comment 4 Lubomir Rintel 2009-01-11 08:16:58 EST
Fixed in grub-0_97-37_fc11

Note You need to log in before you can comment on or make changes to this bug.